Booklinker.API

<back to all web services

PostAppleServicesSettingsRequest

Requires Authentication
PostAppleServicesSettingsRequest Parameters:
NameParameterData TypeRequiredDescription
UsernamequerystringNo
UserEmailquerystringNo
PasswordquerystringNo
ApiKeyquerystringNo
PublisherIdquerystringNo
UserApiResponseJsonStringquerystringNo
V2BaseResponse Parameters:
NameParameterData TypeRequiredDescription
ResponseStatusformResponseStatusNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /json/reply/PostAppleServicesSettingsRequest HTTP/1.1 
Host: api.booklinker.com 
Accept: application/json
Content-Type: application/json
Content-Length: length

{"username":"String","userEmail":"String","password":"String","apiKey":"String","publisherId":"String","userApiResponseJsonString":"String"}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}